import { ExtendableEvent } from "../../../fetch";
import { AddRoutesOptions } from "../router";
export interface InstallEvent extends ExtendableEvent {
    skipWaiting(): void;
    addRoutes(rules: AddRoutesOptions): Promise<void> | unknown;
}
export declare const removeInstallDispatcher: () => void;
